section {
    position: relative;
    z-index: 0;
}

// Intro -------------------- 
.sec-intro {
    position: relative;
    padding: 100px 0 60px;
    h1 {
        margin-bottom: 20px;
        text-transform: uppercase;
    }

    .img-bg {
        display: none;
    }

    @media(min-width: $lg) {
        padding: 100px 0 100px;
        h1 {
            margin-bottom: 24px;
        }    
        .container {
            display: flex;
            align-items: center;
            position: relative;
            min-height: 470px;
        }
        .img-bg {
            display: block;
            position: absolute;
            top: -50px;
            right: -100px;
            z-index: -1;
            opacity: 0.6;
        }
    }

    @media(min-width: $xl) {
        padding: 160px 0 160px;
        .img-bg {
            top: 0px;
            right: -50px;
            z-index: -1;
        }
    }
}

.intro__img {
    margin-bottom: 10px;
    .row {
        margin-right: -5px;
        margin-left: -5px;
    }
    .col {
        padding-left: 5px;
        padding-right: 5px;
    }
    @media(min-width: $lg) {
        .row {
            margin-right: -15px;
            margin-left: -15px;
        }
        .col {
            padding-left: 15px;
            padding-right: 15px;
        }
    }
}

.intro__card {
    position: relative;
    margin-bottom: 30px;
    perspective: 600px;

    .inner {
        width: 100%;
        height: 100%;
        position: relative;
        transform-style: preserve-3d;
    }
    img {
        display: block;
        position: relative;
        width: 100%;
        height: auto;

    }
    .front, 
    .back {
        position: absolute;
        height: 100%;
        width: 100%;
        backface-visibility: hidden;
        top: 0;
        left: 0;
    }
    .back {
        display: flex;
        justify-content: center;
        align-items: center;
        transform: rotateY( 180deg );
        border-radius: 20px;
        overflow: visible;
        box-shadow: 0 0 16px $green2;
    }
}

.intro__text {
    .btns {
        margin-top: 24px;
    }
}

.pass-type__list {
    list-style-type: none;
    padding: 0;
    margin: 0 0 40px;
    display: flex;
    .item {
        padding: 3px 10px 2px;
        background-color: rgba(#fff, 0.2);
        border-radius: 50px;
        margin-right: 10px;
    }
    @media(min-width: $xl) {
        margin: 0 0 72px;
        .item {
            padding: 10px 16px 9px;
            margin-right: 16px;
        }
    }
}

// STEPS (ABOUT) -------------------- 

.sec-about {
    position: relative;
    padding: 60px 0;

    .img-bg {
        display: none;
        opacity: 1;
    }

    .bg-gradient {
        right: 0;
        left: auto;
        bottom: 0;
        transform: translate(50%, 40%);
        z-index: -1;
    }
    @media(min-width: $lg) {
        padding: 100px 0 200px;
        .img-bg {
            display: block;
            position: absolute;
            left: -200px;
            top: 400px;
            width: 1000px;
            height: auto;
            z-index: -1;
        }
        
    }
    @media(min-width: $xl) {
        padding: 130px 0 100px;
        .img-bg {
            width: auto; 
            top: 540px;
            left: -280px;
        }
    }
    @media(min-width: $xxl) {
        .img-bg {
            top: 550px;
            left: -100px;
            z-index: -1;
        }
    }
}

.about__steps {
    h2 {
        text-align: center;
    }
    .swiper-wrapper {
        overflow: visible;
    }
    .swiper-slide {
        width: auto;
    }
    @media(min-width: $xl) {
        h2 {
            margin-bottom: 80px;
        }
    }
}

.about__step {
    font-weight: bold;
    margin-bottom: 32px;
    position: relative;
    padding-right: 40px;

    .inner {
        text-align: center;
    }
    .img-step {
        display: block;
        margin-bottom: 16px;
        width: 140px;
        height: auto;
    }
    .img-arrow {
        position: absolute;
        top: 70px;
        right: 0;
        width: 30px;
        height: auto;
    }

    @media(min-width: $xl) {
        padding-right: 40px;
        .img-step {
            margin-bottom: 30px;
            width: 190px;
        }
        padding-right: 54px;
        .img-arrow {
            top: 85px; 
            width: 34px;
        }
    }
}

.about__text {
    margin-top: 60px;

    h2 {
        margin-bottom: 12px;
    }

    .h2_sub {
        font-weight: bold;
        font-size: 16px;   
        margin-bottom: 32px;   
    }

    .title {
        display: inline-block;
        font-weight: bold;
        color: #fff;
        background-color: rgba(#fff, 0.1);
        margin-bottom: 20px;
        position: relative;
        padding: 4px 12px 3px;
        left: -12px;
        border-radius: 40px;
    }
    
    ol {
        margin: 0 0 24px;
        padding: 0;
        color: rgba(#fff, 0.8);
        li {
            margin-bottom: 15px;
        }
    }

    @media(min-width: $lg) {
        margin-top: 120px;
    }
    @media(min-width: $xl) {
        margin-top: 200px;  
        h2 {
            margin-bottom: 32px;
        }
        .h2_sub {
            font-weight: bold;
            font-size: 24px;  
            max-width: 510px;
            margin-bottom: 48px; 

        }
        ul {
            margin-bottom: 38px;
        }
    }
}

.sec-about__link {
    text-decoration: none;
}

.link {
    color: #4AFEBF;
}

// INSTRUCTIONS -------------------- 

.sec-instructions {
    position: relative;
    padding: 60px 0;
    z-index: 0;

    .col-12 {
        margin-bottom: 30px;
    }
    @media(min-width: $md) {
        .col-12 {
            margin-bottom: 60px;
        }
    }
    @media(min-width: $lg) {
        padding: 60px 0 200px; 
    }
    @media(min-width: $xl) {
        padding: 300px 0 100px;
        .col-12 {
            margin-bottom: 100px;
        }
    }
}

.instructions__item {
    background-color: $gray;
    border-radius: 20px;
    padding: 20px;
    position: relative;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border: 1px solid transparent;
    transition: border-color 0.3s ease, box-shadow 0.3s ease;

    &.active {
        border-color: #4AFEBF;
        box-shadow: 0px 0px 30px rgba(74, 254, 191, 0.25);

        .num {
            color: #4AFEBF;
        }
    }
    .title {
        width: 75%;
        small {
            display: block;
            opacity: 0.5;
            font-size: 12px;
            margin-top: 16px;
        }
    }

    .num {
        color: #353737;
        position: absolute;
        font-size: 3em;
        line-height: 1em;
        right: 20px;
        top: 20px;
        font-weight: bold;
        transition: color 0.3s ease;
    }

    .btns {
        display: flex;
        margin-top: 40px;
        .btn-outline {
            margin-right: 20px;
        }
        .btn {
            color: #fff;
            height: 42px;
            font-size: 16px;
        }

        .btn-video {
            svg {
                display: block;
                height: 42px;
                width: auto;
                path {
                    fill: #CACACA;
                }
            }
            &:hover {
                svg path {
                    fill: $green2; 
                }
            }
        }
    }

    @media(min-width: $md) {
        min-height: 230px;
        .title {
            font-size: 16px;
        }
    }
    @media(min-width: $lg) {
        padding: 32px;
        height: 280px;
        .title {
            font-size: 20px;
            width: 85%;
        }
        .num {
            right: 32px;
            top: 32px;
        }
        .btns {
            .btn-outline {
                margin-right: 24px;
            }
            .btn {
                font-size: 18px;
                height: 54px;
            }
    
            .btn-video {
                svg {
                    height: 54px;
                }
            }
        }
    }
    @media(min-width: $xl) {
        height: 320px;
        .title {
            font-size: 24px;
        }
        .num {
            font-size: 60px;
        }
    }
}

.instructions__wrap {
    position: relative;

    .img-line {
        display: none;
        overflow: visible;
    }

    @media(min-width: $md) {
        .img-line {
            display: block;
            position: absolute;
            width: 114%;
            height: 78%;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -52%);
        }

    }
}

// PRICES --------------------

.sec-prices {
    padding: 60px 0;
    h2 {
        margin-bottom: 0;
    }

    .h2-row {
        display: flex;
        align-items: center;
        margin-bottom: 40px;
        flex-wrap: wrap;

        .col-h {
            width: 100%;
            margin-bottom: 14px;
        }
    }
    @media(min-width: $md) {
        .h2-row {
            margin-bottom: 60px;
            .col-h {
                width: auto;
                margin-bottom: 4px;
                margin-right: 40px;
            }
        }
    }

    @media(min-width: $lg) {
        padding: 120px 0; 
        .h2-row {
            margin-bottom: 100px;
        }
    }
    @media(min-width: $xl) {
        padding: 150px 0 180px; 
    }
    @media(min-width: $xxl) {
        .h2-row {
            justify-content: center;
            text-align: center;
            .col-h {
                width: 100%;
                margin-bottom: 30px;
            }
        }
    }
}
.prices__vars {
    position: relative;
    .header {
        display: none;
    }
    .content-cell {
        border-bottom: 1px solid $black;
        padding: 12px 20px;
    }
    @media(min-width: $lg) {
        display: flex;
        justify-content: center;

        .header {
            display: block;
            font-weight: bold;
            font-size: 32px;
            line-height: 140%;
            display: flex;
            height: 100px;
            justify-content: center;
            align-items: center;
            border-bottom: 1px solid $black;
            padding-top: 8px;
        }

        .pr-basic .header {
            color: #ACBEC0;
        }
        .pr-pro .header {
            color: #49DF6A;
        }
        .pr-vip .header {
            color: #4AFEBF;
        }

        .content-cell {
            padding: 16px 20px;
        }
    }  

    @media(min-width: $xl) {
        .content-cell {
            padding: 24px 20px;
            .title {
                display: none;
            }
        }
    }

  
}

.prices__vars-titles {
    display: none;
    @media(min-width: $xl) {
        display: block;
        .content-cell {
            text-align: right;
            color: rgba(255, 255, 255, 0.8);
            font-size: bold;
        }
    }
    @media(min-width: $xxl) {
        position: absolute;
        right: 50%;
        margin-right: 480px;
        width: 320px;

    }
}

.prices__var {
    display: none;
    position: relative;
    background-color: $gray;
    border-radius: 20px;
    text-align: center;
    font-size: 16px;
    padding-bottom: 24px;
    border: 2px solid $gray;

    transition: border-color 0.3s ease, background-color 0.3s ease;

    &.active {
        display: block;
    }
    
    .title {
        color: rgba(#fff, 0.5);
        display: block;
        font-size: 14px;
        margin-bottom: 2px;
    }
    .old-price {
        height: 44px;
        font-size: 1em;
        color:  #fe8d8d;
        padding: 16px 20px 0;
        text-decoration: line-through;

    }

    &.with-extra {
        margin-top: 80px;
    }

    a {
        color: $green1;
    }
    .extra {
        position: absolute;
        display: flex;
        align-items: center;
        height: 44px;
        font-size: 16px;
        padding: 0 40px;
        font-weight: bold;
        background: $grad2;
        text-align: center;
        top: -44px;
        left: 50%;
        transform: translateX(-50%);
        white-space: nowrap;
        color: $black;
        border-top-right-radius: 40px;
        border-top-left-radius: 40px;
    }

    .btn {
        margin-top: 20px;
    }

    @media(min-width: $lg) {
        display: block !important;
        width: 33.33%;
        &.with-extra {
            margin-top: 0;
        }
        &.with-outline {
            border: 2px solid $green1;
            background-color: $black;
        }

        &:hover {
            border: 2px solid $green1;
            background-color: $black;

            & ~ .prices__var {
                border: 2px solid $gray !important;  
                background-color: $gray !important; 
            }
        }
    }
    @media(min-width: $xl) {
        width: 320px;
        font-size: 18px;
        padding-bottom: 32px;
    }
}

// Questions and answers --------------------

.sec-faq {
    padding: 50px 0;
    position: relative;
    z-index: 1;

    @media(min-width: $lg) {
        padding: 70px 0;

    }

    @media(min-width: $xl) {
        padding: 100px 0 ;
    }
}




// CONTACTS --------------------

.sec-contacts {
    position: relative;
    padding: 50px 0;

    h2 {
        margin-bottom: 40px;
    }

    .img-bg {
        position: absolute;
        right:0;
        bottom: -150px;
        z-index: -1;
        display: none;
    }

    @media(min-width: $lg) {
        padding: 70px 0;
        h2 {
            margin-bottom: 40px;
        }
        .img-bg {
            display: block;
        }
    }

    @media(min-width: $xl) {
        padding: 140px 0 100px;
    }
}

.contacts__socials {
    margin-top: 20px;
    .socials {
        flex-wrap: wrap;
        margin-left: -6px;
        li {
            padding: 0 6px 12px;
            img {
                width: 35px;
                height: 35px;
            }
        }
    }

    @media(min-width: $xl) {
        margin-top: 60px;
        .socials li img {
            width: 40px;
            height: 40px;
        }
    }
}

//- Backgounds 

.bg-gradient {
    position: absolute;
    width: 1000px;
    height: 1000px;
    background: radial-gradient(50% 50% at 50% 50%, rgba(74, 254, 191, 0.25) 0%, rgba(217, 217, 217, 0) 100%);
    border-radius: 50%;
    z-index: -1;

    @media(min-width: $xl) {
        width: 1500px;
        height: 1500px;     
    }
}

.sec-contacts {
    position: relative;
    z-index: 0;
    .bg-gradient {
        left: 0;
        bottom: 0;
        transform: translate(-50%, 50%);
    }
}


.sec-bg {
    display: block;
    position: absolute;

    &.bg-left {
        left: 0;
    }

    &.bg-right {
        right: 0;
    }
}

.sec-intro {
    .bg-gradient {
        left: 0;
        top: 0;
        transform: translate(-50%, -50%);
    }
}

.sec-contacts {
    .sec-bg {
        top: auto;
        width: 115px;
        bottom: -100px;
        height: auto;
    } 
    @media(min-width: $lg) {
        .sec-bg {
            top: -200px;
            bottom: auto;
            width: 250px;
        }
    }
    @media(min-width: $xl) {
        .sec-bg {
            width: auto;
            top: -240px;
        }
    } 
}